Index: binary-improvements/AllocsCommands/Commands/RemoveLandProtection.cs
===================================================================
--- binary-improvements/AllocsCommands/Commands/RemoveLandProtection.cs	(revision 224)
+++ binary-improvements/AllocsCommands/Commands/RemoveLandProtection.cs	(revision 230)
@@ -4,16 +4,12 @@
 namespace AllocsFixes.CustomCommands
 {
-	public class RemoveLandProtection : ConsoleCommand
+	public class RemoveLandProtection : ConsoleCmdAbstract
 	{
-		public RemoveLandProtection (ConsoleSdtd cons) : base(cons)
-		{
-		}
-
-		public override string Description ()
+		public override string GetDescription ()
 		{
 			return "removes the association of a land protection block to the owner";
 		}
 
-		public override string[] Names ()
+		public override string[] GetCommands ()
 		{
 			return new string[] { "removelandprotection", "rlp" };
@@ -23,12 +19,12 @@
 		{
 			try {
-				PersistentPlayerList ppl = CommonMappingFunctions.GetGameManager ().GetPersistentPlayerList ();
+				PersistentPlayerList ppl = GameManager.Instance.GetPersistentPlayerList ();
 
 				if (_id.Length < 1 || !ppl.Players.ContainsKey (_id)) {
-					m_Console.SendResult ("Not a valid Steam ID or user has never logged on. Use \"listlandprotection\" to get a list of keystones.");
+					SdtdConsole.Instance.Output ("Not a valid Steam ID or user has never logged on. Use \"listlandprotection\" to get a list of keystones.");
 					return;
 				}
 				if (ppl.Players [_id].LPBlocks == null || ppl.Players [_id].LPBlocks.Count == 0) {
-					m_Console.SendResult ("Player does not own any keystones. Use \"listlandprotection\" to get a list of keystones.");
+					SdtdConsole.Instance.Output ("Player does not own any keystones. Use \"listlandprotection\" to get a list of keystones.");
 					return;
 				}
@@ -39,10 +35,10 @@
 					changes.Add (bci);
 				}
-				CommonMappingFunctions.GetGameManager ().SetBlocksRPC (changes);
+				GameManager.Instance.SetBlocksRPC (changes);
 
-				m_Console.SendResult ("Tried to remove #" + changes.Count + " land protection blocks for player \"" + _id + "\". Note "+
+				SdtdConsole.Instance.Output ("Tried to remove #" + changes.Count + " land protection blocks for player \"" + _id + "\". Note "+
 				                      "that only blocks in chunks that are currently loaded (close to any player) could be removed. "+
 				                      "Please check for remaining blocks by running:");
-				m_Console.SendResult("  listlandprotection " + _id);
+				SdtdConsole.Instance.Output("  listlandprotection " + _id);
 			} catch (Exception e) {
 				Log.Out ("Error in RemoveLandProtection.removeById: " + e);
@@ -50,5 +46,5 @@
 		}
 
-		private void removeByPosition (string[] _coords)
+		private void removeByPosition (List<string> _coords)
 		{
 			try {
@@ -61,5 +57,5 @@
 
 				if (x == int.MinValue || y == int.MinValue || z == int.MinValue) {
-					m_Console.SendResult ("At least one of the given coordinates is not a valid integer");
+					SdtdConsole.Instance.Output ("At least one of the given coordinates is not a valid integer");
 					return;
 				}
@@ -67,9 +63,9 @@
 				Vector3i v = new Vector3i (x, y, z);
 
-				PersistentPlayerList ppl = CommonMappingFunctions.GetGameManager ().GetPersistentPlayerList ();
+				PersistentPlayerList ppl = GameManager.Instance.GetPersistentPlayerList ();
 
 				Dictionary<Vector3i, PersistentPlayerData> d = ppl.positionToLPBlockOwner;
 				if (d == null || !d.ContainsKey (v)) {
-					m_Console.SendResult ("No land protection block at the given position or not a valid position. Use \"listlandprotection\" to get a list of keystones.");
+					SdtdConsole.Instance.Output ("No land protection block at the given position or not a valid position. Use \"listlandprotection\" to get a list of keystones.");
 					return;
 				}
@@ -80,7 +76,7 @@
 				changes.Add (bci);
 
-				CommonMappingFunctions.GetGameManager ().SetBlocksRPC (changes);
+				GameManager.Instance.SetBlocksRPC (changes);
 
-				m_Console.SendResult ("Land protection block at (" + v.ToString () + ") removed");
+				SdtdConsole.Instance.Output ("Land protection block at (" + v.ToString () + ") removed");
 			} catch (Exception e) {
 				Log.Out ("Error in RemoveLandProtection.removeByPosition: " + e);
@@ -88,13 +84,13 @@
 		}
 
-		public override void Run (string[] _params)
+		public override void Execute (List<string> _params, CommandSenderInfo _senderInfo)
 		{
 			try {
-				if (_params.Length == 1) {
+				if (_params.Count == 1) {
 					removeById (_params [0]);
-				} else if (_params.Length == 3) {
+				} else if (_params.Count == 3) {
 					removeByPosition (_params);
 				} else {
-					m_Console.SendResult ("Usage: removelandprotection <x> <y> <z>  OR  removelandprotection <steamid>");
+					SdtdConsole.Instance.Output ("Usage: removelandprotection <x> <y> <z>  OR  removelandprotection <steamid>");
 				}
 			} catch (Exception e) {
